Subject: Re: [GIT PULL] perf_event/tracing/powerpc patches from Anton Blanchard

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 30 Oct 2009 17:04:09 +1100

On Thu, 2009-10-29 at 07:55 +0100, Ingo Molnar wrote:
> * Paul Mackerras <[email-masked]> wrote:
> 
> > Here is a series of patches from Anton Blanchard that implement some 
> > nice tracing and perf_event features on powerpc.  One of them is 
> > generic perf_event stuff (adding software events for alignment faults 
> > and instruction emulation faults).
> > 
> > Since this touches the perf_event and tracing subsystems as well as 
> > the powerpc architecture code, I think the best way forward is for 
> > both Ingo and Ben to pull it into their trees.  I have based it on the 
> > most recent point in Linus' tree that Ingo had pulled into his perf 
> > branches (as of yesterday or so).
> 
> The generic perf bits look good to me - can pull it if Ben OKs the 
> PowerPC bits.

Yup. Just went through all of them, they look fine. I also test built on
a number of default configs and it seems to pass.

Cheers,
Ben.